<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Console.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Console.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Console.h</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *  Created on: Jun 15, 2018</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *      Author: kolban</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef COMPONENTS_CPP_UTILS_CONSOLE_H_</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#define COMPONENTS_CPP_UTILS_CONSOLE_H_</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;stdio.h&gt;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;list&gt;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#include &lt;argtable3/argtable3.h&gt;</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="classConsole.html">   16</a></span>&#160;<span class="keyword">class </span><a class="code" href="classConsole.html">Console</a> {</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    <a class="code" href="classConsole.html">Console</a>();</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    <span class="keyword">virtual</span> ~<a class="code" href="classConsole.html">Console</a>();</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;};</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">enum class</span> ArgType_t { LIT, INT, DBL, STR, REX, FILE, DATE };</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="classArgTableEntry__Generic.html">   26</a></span>&#160;<span class="keyword">class </span><a class="code" href="classArgTableEntry__Generic.html">ArgTableEntry_Generic</a> {</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">protected</span>:</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    ArgType_t m_type;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">int</span> getCount();</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    <span class="keywordtype">bool</span> hasValue() {</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;        <span class="keywordflow">return</span> getCount() &gt; 0;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    }</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span>* getEntry() = 0;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;};</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="classArgTableEntry__Lit.html">   38</a></span>&#160;<span class="keyword">class </span><a class="code" href="classArgTableEntry__Lit.html">ArgTableEntry_Lit</a> : <span class="keyword">public</span> <a class="code" href="classArgTableEntry__Generic.html">ArgTableEntry_Generic</a> {</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <span class="keyword">struct </span>arg_lit* m_argLit;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <span class="keywordtype">int</span> getCount();</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <a class="code" href="classArgTableEntry__Lit.html">ArgTableEntry_Lit</a>(std::string shortopts, std::string longopts, std::string glossary);</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <span class="keywordtype">void</span>* getEntry() {</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        <span class="keywordflow">return</span> m_argLit;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    }</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;};</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="classArgTableEntry__Int.html">   49</a></span>&#160;<span class="keyword">class </span><a class="code" href="classArgTableEntry__Int.html">ArgTableEntry_Int</a> : <span class="keyword">public</span> <a class="code" href="classArgTableEntry__Generic.html">ArgTableEntry_Generic</a> {</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    <span class="keyword">struct </span>arg_int* m_argInt;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    <a class="code" href="classArgTableEntry__Int.html">ArgTableEntry_Int</a>(std::string shortopts, std::string longopts, std::string glossary);</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    <span class="keywordtype">int</span> getCount();</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    <span class="keywordtype">int</span> getValue(<span class="keywordtype">int</span> index = 0);</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <span class="keywordtype">void</span>* getEntry() {</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;        <span class="keywordflow">return</span> m_argInt;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    }</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;};</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno"><a class="line" href="classArgTableEntry__Double.html">   62</a></span>&#160;<span class="keyword">class </span><a class="code" href="classArgTableEntry__Double.html">ArgTableEntry_Double</a> : <span class="keyword">public</span> <a class="code" href="classArgTableEntry__Generic.html">ArgTableEntry_Generic</a> {</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    <span class="keyword">struct </span>arg_dbl* m_argDbl;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    <a class="code" href="classArgTableEntry__Double.html">ArgTableEntry_Double</a>(std::string shortopts, std::string longopts, std::string glossary);</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    <span class="keywordtype">int</span> getCount();</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    <span class="keywordtype">double</span> getValue(<span class="keywordtype">int</span> index = 0);</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    <span class="keywordtype">void</span>* getEntry() {</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        <span class="keywordflow">return</span> m_argDbl;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    }</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;};</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno"><a class="line" href="classArgTableEntry__String.html">   75</a></span>&#160;<span class="keyword">class </span><a class="code" href="classArgTableEntry__String.html">ArgTableEntry_String</a> : <span class="keyword">public</span> <a class="code" href="classArgTableEntry__Generic.html">ArgTableEntry_Generic</a> {</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    <span class="keyword">struct </span>arg_str* m_argStr;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    <a class="code" href="classArgTableEntry__String.html">ArgTableEntry_String</a>(std::string shortopts, std::string longopts, std::string glossary, <span class="keywordtype">int</span> min, <span class="keywordtype">int</span> max);</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    <span class="keywordtype">int</span> getCount();</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    std::string getValue(<span class="keywordtype">int</span> index = 0);</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <span class="keywordtype">void</span>* getEntry() {</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;        <span class="keywordflow">return</span> m_argStr;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    }</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;};</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00088"></a><span class="lineno"><a class="line" href="classArgTableEntry__Regex.html">   88</a></span>&#160;<span class="keyword">class </span><a class="code" href="classArgTableEntry__Regex.html">ArgTableEntry_Regex</a> : <span class="keyword">public</span> <a class="code" href="classArgTableEntry__Generic.html">ArgTableEntry_Generic</a> {</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    <span class="keyword">struct </span>arg_rex* m_argRex;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    <span class="keywordtype">int</span> getCount();</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    std::string getValue(<span class="keywordtype">int</span> index = 0);</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    <span class="keywordtype">void</span>* getEntry() {</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;        <span class="keywordflow">return</span> m_argRex;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    }</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;};</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div><div class="line"><a name="l00100"></a><span class="lineno"><a class="line" href="classArgTableEntry__File.html">  100</a></span>&#160;<span class="keyword">class </span><a class="code" href="classArgTableEntry__File.html">ArgTableEntry_File</a> : <span class="keyword">public</span> <a class="code" href="classArgTableEntry__Generic.html">ArgTableEntry_Generic</a> {</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    <span class="keyword">struct </span>arg_file* m_argFile;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;    <a class="code" href="classArgTableEntry__File.html">ArgTableEntry_File</a>(std::string shortopts, std::string longopts, std::string glossary);</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;    <span class="keywordtype">int</span> getCount();</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    std::string getFilename(<span class="keywordtype">int</span> index = 0);</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;    std::string getBasename(<span class="keywordtype">int</span> index = 0);</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    std::string getExtension(<span class="keywordtype">int</span> index = 0);</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    <span class="keywordtype">void</span>* getEntry() {</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;        <span class="keywordflow">return</span> m_argFile;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;    }</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;};</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div><div class="line"><a name="l00115"></a><span class="lineno"><a class="line" href="classArgTableEntry__Date.html">  115</a></span>&#160;<span class="keyword">class </span><a class="code" href="classArgTableEntry__Date.html">ArgTableEntry_Date</a> : <span class="keyword">public</span> <a class="code" href="classArgTableEntry__Generic.html">ArgTableEntry_Generic</a> {</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;    <span class="keyword">struct </span>arg_date* m_argDate;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;    <a class="code" href="classArgTableEntry__Date.html">ArgTableEntry_Date</a>(std::string shortopts, std::string longopts, std::string glossary);</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;    <span class="keywordtype">int</span> getCount();</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;    <span class="keyword">struct </span>tm* getValue(<span class="keywordtype">int</span> index = 0);</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;    <span class="keywordtype">void</span>* getEntry() {</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;        <span class="keywordflow">return</span> m_argDate;</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;    }</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;};</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;</div><div class="line"><a name="l00128"></a><span class="lineno"><a class="line" href="classArgTable.html">  128</a></span>&#160;<span class="keyword">class </span><a class="code" href="classArgTable.html">ArgTable</a> {</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;    <span class="keywordtype">void</span>** m_argtable;</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;    <span class="keyword">struct </span>arg_end* m_argEnd;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    std::list&lt;std::pair&lt;std::string, ArgTableEntry_Generic*&gt;&gt; m_argTableEntries;</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;    <span class="keywordtype">void</span> build();</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;    <span class="keywordtype">void</span> freeArgtable();</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;    <a class="code" href="classArgTable.html#aab91f2cad24387f6c8d14525323a46c4">ArgTable</a>();</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;    <a class="code" href="classArgTable.html#a61e85b248b376b0464d2164b1ed4ee38">~ArgTable</a>();</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;    <a class="code" href="classArgTableEntry__Date.html">ArgTableEntry_Date</a>   addDate(std::string name,   std::string shortopts, std::string longopts, std::string glossary);</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;    <a class="code" href="classArgTableEntry__Double.html">ArgTableEntry_Double</a> addDouble(std::string name, std::string shortopts, std::string longopts, std::string glossary);</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;    <a class="code" href="classArgTableEntry__File.html">ArgTableEntry_File</a>   addFile(std::string name,   std::string shortopts, std::string longopts, std::string glossary);</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;    <a class="code" href="classArgTableEntry__Int.html">ArgTableEntry_Int</a>    addInt(std::string name,    std::string shortopts, std::string longopts, std::string glossary);</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;    <a class="code" href="classArgTableEntry__Lit.html">ArgTableEntry_Lit</a>    addLit(std::string name,    std::string shortopts, std::string longopts, std::string glossary);</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    <a class="code" href="classArgTableEntry__String.html">ArgTableEntry_String</a> addString(std::string name, std::string shortopts, std::string longopts, std::string glossary, <span class="keywordtype">int</span> min, <span class="keywordtype">int</span> max);</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;    <span class="keywordtype">int</span> <a class="code" href="classArgTable.html#aa5328ed494091f6118a50248bf48ee31">parse</a>(<span class="keywordtype">int</span> argc, <span class="keywordtype">char</span>* argv[]);</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classArgTable.html#aec91d700dc0ffb3408074f3c87c78631">printErrors</a>(FILE* fp, std::string progName=<span class="stringliteral">&quot;&quot;</span>);</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;};</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* COMPONENTS_CPP_UTILS_CONSOLE_H_ */</span><span class="preprocessor"></span></div><div class="ttc" id="classArgTableEntry__String_html"><div class="ttname"><a href="classArgTableEntry__String.html">ArgTableEntry_String</a></div><div class="ttdef"><b>Definition:</b> Console.h:75</div></div>
<div class="ttc" id="classArgTable_html"><div class="ttname"><a href="classArgTable.html">ArgTable</a></div><div class="ttdef"><b>Definition:</b> Console.h:128</div></div>
<div class="ttc" id="classConsole_html"><div class="ttname"><a href="classConsole.html">Console</a></div><div class="ttdef"><b>Definition:</b> Console.h:16</div></div>
<div class="ttc" id="classArgTableEntry__Generic_html"><div class="ttname"><a href="classArgTableEntry__Generic.html">ArgTableEntry_Generic</a></div><div class="ttdef"><b>Definition:</b> Console.h:26</div></div>
<div class="ttc" id="classArgTable_html_a61e85b248b376b0464d2164b1ed4ee38"><div class="ttname"><a href="classArgTable.html#a61e85b248b376b0464d2164b1ed4ee38">ArgTable::~ArgTable</a></div><div class="ttdeci">~ArgTable()</div><div class="ttdef"><b>Definition:</b> Console.cpp:30</div></div>
<div class="ttc" id="classArgTableEntry__Regex_html"><div class="ttname"><a href="classArgTableEntry__Regex.html">ArgTableEntry_Regex</a></div><div class="ttdef"><b>Definition:</b> Console.h:88</div></div>
<div class="ttc" id="classArgTable_html_aec91d700dc0ffb3408074f3c87c78631"><div class="ttname"><a href="classArgTable.html#aec91d700dc0ffb3408074f3c87c78631">ArgTable::printErrors</a></div><div class="ttdeci">void printErrors(FILE *fp, std::string progName=&quot;&quot;)</div><div class="ttdef"><b>Definition:</b> Console.cpp:115</div></div>
<div class="ttc" id="classArgTableEntry__Date_html"><div class="ttname"><a href="classArgTableEntry__Date.html">ArgTableEntry_Date</a></div><div class="ttdef"><b>Definition:</b> Console.h:115</div></div>
<div class="ttc" id="classArgTableEntry__Lit_html"><div class="ttname"><a href="classArgTableEntry__Lit.html">ArgTableEntry_Lit</a></div><div class="ttdef"><b>Definition:</b> Console.h:38</div></div>
<div class="ttc" id="classArgTable_html_aab91f2cad24387f6c8d14525323a46c4"><div class="ttname"><a href="classArgTable.html#aab91f2cad24387f6c8d14525323a46c4">ArgTable::ArgTable</a></div><div class="ttdeci">ArgTable()</div><div class="ttdef"><b>Definition:</b> Console.cpp:21</div></div>
<div class="ttc" id="classArgTableEntry__File_html"><div class="ttname"><a href="classArgTableEntry__File.html">ArgTableEntry_File</a></div><div class="ttdef"><b>Definition:</b> Console.h:100</div></div>
<div class="ttc" id="classArgTableEntry__Double_html"><div class="ttname"><a href="classArgTableEntry__Double.html">ArgTableEntry_Double</a></div><div class="ttdef"><b>Definition:</b> Console.h:62</div></div>
<div class="ttc" id="classArgTable_html_aa5328ed494091f6118a50248bf48ee31"><div class="ttname"><a href="classArgTable.html#aa5328ed494091f6118a50248bf48ee31">ArgTable::parse</a></div><div class="ttdeci">int parse(int argc, char *argv[])</div><div class="ttdef"><b>Definition:</b> Console.cpp:103</div></div>
<div class="ttc" id="classArgTableEntry__Int_html"><div class="ttname"><a href="classArgTableEntry__Int.html">ArgTableEntry_Int</a></div><div class="ttdef"><b>Definition:</b> Console.h:49</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
